/* ===============================
   HERO SLIDER
================================= */


/* 2 */

/* .hero {
    position: relative;
    width: 100%;
    overflow: hidden;
    padding: 0 !important; 
}

.hero-slider {
    position: relative;
    width: 100%;
}

.hero-slide {
    display: none;
    inset: 0;
    opacity: 0;
    transition: opacity 2s ease-in-out;
}

.hero-slide.active {
    display: block;
    opacity: 1;
    z-index: 1;
}

.hero-slide img {
    width: 100%;
    height: auto;  
    display: block;
} */

.hero {
    position: relative;
    width: 100%;
    overflow: hidden;
    padding: 0 !important;
}

.hero-slider {
    position: relative;
    width: 100%;
}

/* FIRST SLIDE SHOULD DEFINE HEIGHT */
.hero-slide {
    position: relative;
    width: 100%;
    opacity: 0;
    transition: opacity 2s ease-in-out;
}

/* Stack others on top */
.hero-slide:not(:first-child) {
    position: absolute;
    top: 0;
    left: 0;
}

.hero-slide.active {
    opacity: 1;
    z-index: 1;
}

.hero-slide img {
    width: 100%;
    height: auto;
    display: block;
    
    /* max-height: 500px;
    object-fit: cover; */
}

.top-banner {
    display: block;
}

.top-banner img {
    width: 100%;
    height: auto;
    display: block;
}

.hero-btn-wrapper {
    position: absolute;
    bottom: 40px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 2;
    text-align: center;
}



/* =========================================
   HOME GRID CARDS
========================================= */

/* .home-grid {
    padding: 2.5rem 0 3rem;
    background: #ffffff;
} */

 /* 2x2 layout */
/* .grid-wrapper {
    display: grid;
     grid-template-columns: repeat(2, 1fr);        
    gap: 1.5rem;
    align-items: stretch;
} */

/* .grid-card {
    background: #ffffff;
    padding: 1.6rem;
    border-radius: 12px;
    border: 1px solid #e5e7eb;
    text-decoration: none;
    transition: all 0.3s ease;
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
} */

.grid-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.8rem;
    align-items: stretch;
}

/* First card full width */
/* .grid-card:nth-child(1) {
    grid-column: 1 / -1;
} */

/* Last card full width */
/* .grid-card:nth-child(4) {
    grid-column: 1 / -1;
} */

.grid-card {
    background: #ffffff;
    /* padding: 0.8rem; */
    border-radius: 12px;
    border: 1px solid #e5e7eb;
    text-decoration: none;
    transition: all 0.3s ease;
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;   /* Center content vertically */
    align-items: flex-start;
    /* min-height: 280px;         Makes them look like square tiles */
     padding: 1.6rem;
    min-height: 260px;

}

.grid-card:hover {
    transform: translateY(-6px);
    box-shadow: 0 12px 28px rgba(0,0,0,0.06);
    border-color: var(--accent);
}

/* subtle animated top line */
.grid-card::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    height: 3px;
    width: 100%;
    background: var(--accent);
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.3s ease;
}

.grid-card:hover::before {
    transform: scaleX(1);
}

/* .highlight-primary {
    padding: 2.5rem;
    background: linear-gradient(
        135deg,
        #ffffff 0%,
        rgba(239, 199, 94, 0.06) 100%
    );
    border: 1px solid rgba(0,0,0,0.05);
    position: relative;
} */

/* .highlight-primary h3 {
    font-size: 1.35rem !important;
} */

/* .highlight-primary::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 4px;
    background: var(--accent);
    border-radius: 4px 0 0 4px;
} */

/* .highlight-secondary {
    padding: 2.5rem;
    background: #ffffff;
    box-shadow: 0 20px 40px rgba(0,0,0,0.06);
    border: 1px solid rgba(0,0,0,0.05);
} */

/* .highlight-secondary h3 {
    font-size: 1.25rem;
} */

/* ================= WELCOME SECTION ================= */

/* .welcome-section {
    padding: 90px 0;
    background: linear-gradient(
        135deg,
        #ffffff 0%,
        rgba(239, 199, 94, 0.05) 100%
    );
    text-align: center;
}

.welcome-content h2 {
    font-size: 2rem;
    margin-bottom: 20px;
    color: var(--primary);
}

.welcome-content p {
    max-width: 800px;
    margin: auto;
    font-size: 1.05rem;
    line-height: 1.7;
    color: var(--gray);
} */

/* ================= WELCOME SECTION ================= */

.welcome-section {
    position: relative;
    padding: 30px 0;
    background: linear-gradient(
    to bottom,
    #fcf8ef,
    #ffffff
);
    overflow: hidden;
    margin-top: 4rem;
}


/* Accent top strip */
/* .welcome-section::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 0.5px;
    background: var(--accent);
} */

.welcome-content h2 {
    font-size: 2rem;
    margin-bottom: 2px;
    color: var(--primary);
}

.welcome-content p {
    max-width: 850px;
    font-size: 1rem;
    line-height: 1.6;
    color: #1f1f1f;
}

/* ================= FEATURE GRID SECTION ================= */

/* .feature-grid-section {
    padding: 70px 0; 
} */


/* ================= PLATFORM SECTION ================= */

.platform-section {
    padding: 29px 0;
       background: linear-gradient(
    to bottom,
    #fcf8ef,
    #ffffff
);
}

.platform-container {
    display: flex;
    justify-content: center;
}

.platform-text {
    max-width: 850px;
    text-align: center;
}

.platform-text h2 {
    font-size: 2rem;
    margin-bottom: 20px;
    color: var(--primary);
}

.platform-text p {
    font-size: 1rem;
    line-height: 1.6;
    /* color: var(--gray); */
     color: #1f1f1f;
    margin-bottom: 30px;
}

.primary-btn {
    display: inline-block;
    padding: 12px 28px;
    background: var(--accent);
    color: #fff;
    text-decoration: none;
    border-radius: 6px;
    font-weight: 500;
    transition: 0.3s ease;
}

.primary-btn:hover {
    opacity: 0.9;
}




.card-icon {
    width: 50px;
    height: 50px;
    background: #f3f6fb;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 1rem;
    transition: all 0.3s ease;
}

.card-icon i {
    font-size: 18px;
    color: var(--accent);
}

.grid-card:hover .card-icon {
    background: var(--accent);
}

.grid-card:hover .card-icon i {
    color: #ffffff;
}

.grid-card h3 {
    font-size: 1.05rem;
    margin-bottom: 0.7rem;
    font-weight: 600;
    color: var(--primary);
}

.grid-card p {
    font-size: 0.88rem;
    color: var(--gray);
    line-height: 1.6;
}

.grid-card ul {
    padding-left: 1rem;
}

.grid-card li {
    font-size: 0.85rem;
    color: var(--gray);
    margin-bottom: 0.4rem;
}



@media (max-width: 768px) {

   
    .hero-btn-wrapper {
        bottom: 20px;
    }

    .hero-intro {
        padding-top: 2.5rem;
        text-align: center;
    }

    .hero-intro h1 {
        font-size: 1.6rem;
    }

    .hero-intro p {
        font-size: 0.95rem;
        line-height: 1.6;
    }


.hero-btn-wrapper .btn-primary {
        width: auto;
        display: inline-block;
        padding: 0.7rem 1.2rem;
        font-size: 0.9rem;
        white-space: nowrap;
    }

    
    .grid-wrapper {
        grid-template-columns: 1fr;
    }

    .grid-card {
        padding: 1.3rem;
    }

    .welcome-section,
.platform-section {
    padding: 10px 0;
}

  .welcome-content p{
    font-size: 0.7rem;
  }

  .welcome-content h2{
    font-size: 1.2rem;
    margin-bottom: 11px;
  }

  .platform-text h2 {
     font-size: 1.2rem;
    margin-bottom: 10px;
  }

  .platform-text p{
    font-size: 0.7rem;
  }

  .primary-btn{
    padding: 8px 14px;
  }

    .card-icon {
        width: 45px;
        height: 45px;
    }

    .card-icon i {
        font-size: 16px;
    }

    .grid-card h3 {
        font-size: 1rem;
    }

    .grid-card p,
    .grid-card li {
        font-size: 0.82rem;
        line-height: 1.5;
    }
       
}

@media (max-width: 480px) {

    .hero-btn-wrapper .btn-primary {
        padding: 0.6rem 1rem;
        font-size: 0.85rem;
        border-radius: 6px;
    }

}

